Bug 868573 - [abrt]: WARNING: at drivers/gpu/drm/radeon/r600_hdmi.c:547 r600_hdmi_disable+0x151/0x1b0 [radeon]()
[abrt]: WARNING: at drivers/gpu/drm/radeon/r600_hdmi.c:547 r600_hdmi_disable+...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:33306568a6ab615429d8e78c2fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 17:50 EDT by Federico
Modified: 2013-08-01 09:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico 2012-10-20 17:50:01 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.2-4.fc17.x86_64 root=/dev/mapper/vg_federico-lv_root ro rd.md=0 rd.lvm.lv=vg_federico/lv_swap rd.lvm.lv=vg_federico/lv_root SYSFONT=True rd.luks=0 LANG=en_US.UTF-8 KEYTABLE=it rd.dm=0 radeon.audio=1 rhgb quiet
kernel:         3.6.2-4.fc17.x86_64

backtrace:
:WARNING: at drivers/gpu/drm/radeon/r600_hdmi.c:547 r600_hdmi_disable+0x151/0x1b0 [radeon]()
:Hardware name: HP Pavilion dv5 Notebook PC
:Modules linked in: radeon(+) i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 129, comm: udevd Not tainted 3.6.2-4.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105b81f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105b87a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa00ed031>] r600_hdmi_disable+0x151/0x1b0 [radeon]
: [<ffffffffa00ffef4>] radeon_atom_encoder_disable+0x154/0x160 [radeon]
: [<ffffffffa00536f8>] drm_encoder_disable+0x18/0x30 [drm_kms_helper]
: [<ffffffffa0054148>] drm_crtc_helper_set_mode+0x468/0x500 [drm_kms_helper]
: [<ffffffff812d9375>] ? idr_get_empty_slot+0x115/0x320
: [<ffffffffa00551e8>] drm_crtc_helper_set_config+0x9e8/0xb00 [drm_kms_helper]
: [<ffffffffa0052f12>] drm_fb_helper_set_par+0x82/0x100 [drm_kms_helper]
: [<ffffffff81325d14>] fbcon_init+0x504/0x580
: [<ffffffff8139466c>] visual_init+0xbc/0x120
: [<ffffffff81395d53>] bind_con_driver+0x143/0x300
: [<ffffffff81395f71>] take_over_console+0x61/0x70
: [<ffffffff813241c3>] fbcon_takeover+0x63/0xc0
: [<ffffffff81327ddd>] fbcon_event_notify+0x5fd/0x700
: [<ffffffff8161e5bd>] notifier_call_chain+0x4d/0x70
: [<ffffffff81085358>] __blocking_notifier_call_chain+0x58/0x80
: [<ffffffff81085396>] blocking_notifier_call_chain+0x16/0x20
: [<ffffffff8131a98b>] fb_notifier_call_chain+0x1b/0x20
: [<ffffffff8131caf5>] register_framebuffer+0x1b5/0x2f0
: [<ffffffffa005314b>] drm_fb_helper_single_fb_probe+0x1bb/0x310 [drm_kms_helper]
: [<ffffffffa005345c>] drm_fb_helper_initial_config+0x1bc/0x2d0 [drm_kms_helper]
: [<ffffffff811799dd>] ? __kmalloc+0x14d/0x1a0
: [<ffffffff816106c4>] ? printk+0x61/0x63
: [<ffffffff81179b5f>] ? kmem_cache_alloc_trace+0x12f/0x160
: [<ffffffffa0052287>] ? drm_fb_helper_single_add_all_connectors+0x47/0xf0 [drm_kms_helper]
: [<ffffffffa0052287>] ? drm_fb_helper_single_add_all_connectors+0x47/0xf0 [drm_kms_helper]
: [<ffffffffa00bc421>] radeon_fbdev_init+0xc1/0x120 [radeon]
: [<ffffffffa00b71aa>] radeon_modeset_init+0x3aa/0xb90 [radeon]
: [<ffffffffa0108c14>] ? radeon_acpi_init+0x94/0xe0 [radeon]
: [<ffffffffa00946f5>] radeon_driver_load_kms+0x115/0x1a0 [radeon]
: [<ffffffffa001dbd6>] drm_get_pci_dev+0x186/0x2d0 [drm]
: [<ffffffff81179749>] ? kfree+0x49/0x160
: [<ffffffffa0108d11>] radeon_pci_probe+0xb1/0xb9 [radeon]
: [<ffffffff813026c9>] local_pci_probe+0x79/0x100
: [<ffffffff81302871>] pci_device_probe+0x121/0x130
: [<ffffffff813bef7b>] driver_probe_device+0x8b/0x390
: [<ffffffff813bf32b>] __driver_attach+0xab/0xb0
: [<ffffffff813bf280>] ? driver_probe_device+0x390/0x390
: [<ffffffff813bd015>] bus_for_each_dev+0x55/0x90
: [<ffffffff813be8fe>] driver_attach+0x1e/0x20
: [<ffffffff813be530>] bus_add_driver+0x1a0/0x290
: [<ffffffffa0156000>] ? 0xffffffffa0155fff
: [<ffffffffa0156000>] ? 0xffffffffa0155fff
: [<ffffffff813bf9f7>] driver_register+0x77/0x170
: [<ffffffffa0156000>] ? 0xffffffffa0155fff
: [<ffffffff813014ee>] __pci_register_driver+0x5e/0xe0
: [<ffffffffa0156000>] ? 0xffffffffa0155fff
: [<ffffffffa001de3a>] drm_pci_init+0x11a/0x130 [drm]
: [<ffffffffa0156000>] ? 0xffffffffa0155fff
: [<ffffffffa0156000>] ? 0xffffffffa0155fff
: [<ffffffffa01560ec>] radeon_init+0xec/0x1000 [radeon]
: [<ffffffff8100212a>] do_one_initcall+0x12a/0x180
: [<ffffffff810be056>] sys_init_module+0x10f6/0x20b0
: [<ffffffff812f7320>] ? ddebug_proc_open+0xd0/0xd0
: [<ffffffff816227e9>] system_call_fastpath+0x16/0x1b
Comment 1 Paulo Fidalgo 2012-12-21 18:40:14 EST
Same here, i think this is due radeon audio output.
Comment 2 Paulo Fidalgo 2013-03-28 06:16:05 EDT
With kernel 3.8.4-202.fc18.x86_64 I don't see this issue anymore. Maybe this can be closed.
Comment 3 Fedora End Of Life 2013-07-04 00:34:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Paulo Fidalgo 2013-07-04 06:25:07 EDT
I haven't seen this bug for a long time, maybe it's time to assume that it's fixed.
Comment 5 Fedora End Of Life 2013-08-01 09:57:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.